pqxx::connectionpolicy Class Reference

`#include <connectionpolicy.hxx>`

Inheritance diagram for pqxx::connectionpolicy:
[legend]

## Public Types

using | handle = internal::pq::PGconn *

## Public Member Functions

| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () noexcept
const std::string & | options () const noexcept
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) noexcept
virtual handle | do_disconnect (handle orig) noexcept
virtual bool | is_ready (handle) const noexcept

## Protected Member Functions

handle | normalconnect (handle)

## Member Typedef Documentation

## handle

using pqxx::connectionpolicy::handle = internal::pq::PGconn *

## Constructor & Destructor Documentation

## connectionpolicy()

pqxx::connectionpolicy::connectionpolicy | ( | const std::string & | opts | ) |

explicit

Implementation of the pqxx::connection and sibling classes.

Different ways of setting up a backend connection.

Copyright (c) 2000-2019, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

## ~connectionpolicy()

pqxx::connectionpolicy::~connectionpolicy | ( |  | ) |

virtual noexcept

## Member Function Documentation

## do_completeconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_completeconnect | ( | handle | orig | ) |

virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_lazy.

## do_disconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_disconnect | ( | handle | orig | ) |

virtual noexcept

## do_dropconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_dropconnect | ( | handle | orig | ) |

virtual noexcept

Reimplemented in pqxx::connect_async.

## do_startconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_startconnect | ( | handle | orig | ) |

virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_direct.

## is_ready()

bool pqxx::connectionpolicy::is_ready | ( | handle | h | ) | const

virtual noexcept

Reimplemented in pqxx::connect_async.

## normalconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::normalconnect | ( | handle | orig | ) |

protected

## options()

const std::string& pqxx::connectionpolicy::options | ( |  | ) | const

noexcept

The documentation for this class was generated from the following files:

- connectionpolicy.hxx
- connection.cxx